> For the complete documentation index, see [llms.txt](https://docs.suggestic.com/graphql/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.suggestic.com/graphql/query/queries/lab-tests/recommended-articles.md).

# Recommended Articles

Use the `articlesRecommended` query to get the list of all  recommended articles.&#x20;

{% hint style="info" %}
To retrieve article recommendations based on a user’s biomarker results, please refer to "[Historical Results by Biomarker](/graphql/query/queries/lab-tests/historical-results-by-biomarker.md)"
{% endhint %}

### Available Arguments

| Argument | Type   | Description                                                                                            |
| -------- | ------ | ------------------------------------------------------------------------------------------------------ |
| `first`  | Int    | Retrieves the first results from the list.                                                             |
| `after`  | String | See [pagination](https://docs.suggestic.com/graphql/start-here/tutorials-and-walkthroughs/pagination). |
| `before` | String | See [pagination](https://docs.suggestic.com/graphql/start-here/tutorials-and-walkthroughs/pagination). |
| `id`     | ID     | Id of the Lab Test Report.                                                                             |
| `last`   | Int    | See [pagination](https://docs.suggestic.com/graphql/start-here/tutorials-and-walkthroughs/pagination). |

### Available Fields

| Field Name  | Type      | Description                                           |
| ----------- | --------- | ----------------------------------------------------- |
| `id`        | ID        | Recommended Articles Id.                              |
| `createdAt` | DateTime  | Recommended Articles date                             |
| `article`   | Article   | [Article](/graphql/objects/lab-tests/article.md).     |
| `biomarker` | Biomarker | [Biomarker](/graphql/objects/lab-tests/biomarker.md). |

### Example

{% tabs %}
{% tab title="Request" %}

```graphql
query articlesRecommended($id: ID) {
    articlesRecommended(id: $id) {
        edges {
            node {
                id createdAt updatedAt
                article { id title imageUrl }
                biomarker {
                    id name method description range { max min } 
                    aliases { name language }
                    category { id name parent { id name } }
                    units { name factor alias }
                    optimalRange { max min }
                    borderlineRange { max min }
                }
            }
        }
    }
}
```

{% endtab %}

{% tab title="Response" %}

```graphql
{
  "data": {
    "articlesRecommended": {
      "edges": [
        {
          "node": {
            "id": "QXJ0aWNsZVJlY29tbWVuZGVkOjI=",
            "valueMax": 150,
            "valueMin": 1,
            "normalValues": [],
            "createdAt": "2023-02-09T21:07:42.455171+00:00",
            "updatedAt": "2023-02-09T21:07:42.455221+00:00",
            "article": {
              "id": "Q29udGVudExpYnJhcnk6NzAwMThkNjYtZDMyMC00MzIyLWFlMDktYTU5N2Q5YjdkNGU1",
              "title": "My content library",
              "imageUrl": "https://link.com"
            },
            "biomarker": {
              "id": "QmlvbWFya2VyOjE=",
              "name": "Diabetes Risk Index",
              "method": "Method for diabetes risk index",
              "description": "Diabetes...",
              "range": {
                "max": 100,
                "min": 0
              },
              "aliases": [
                {
                  "name": "DRI",
                  "language": "EN"
                }
              ],
              "category": {
                "id": "QmlvbWFya2VyQ2F0ZWdvcnk6NDg=",
                "name": "Adrenocortical hormones",
                "parent": {
                  "id": "QmlvbWFya2VyQ2F0ZWdvcnk6NDQ=",
                  "name": "Hormonal studies"
                }
              },
              "units": [
                {
                  "name": "%",
                  "factor": 1,
                  "alias": null
                }
              ],
              "optimalRange": {
                "max": 100,
                "min": 0
              },
              "borderlineRange": {
                "max": null,
                "min": null
              },
            }
          }
        }
      ]
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.suggestic.com/graphql/query/queries/lab-tests/recommended-articles.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
